# Update the settings for the task

| HTTP method | Endpoint                          |
| ----------- | --------------------------------- |
| **PUT**     | **/v1/offers/{offer\_ids}/tasks** |

## Path parameters <a href="#path-parameters" id="path-parameters"></a>

| Parameter | Description                  |
| --------- | ---------------------------- |
| offer\_id | The unique id for the offer. |

## Request body parameters <a href="#request-body-parameters-0" id="request-body-parameters-0"></a>

| Field          | Type    | Description                                                                                                      | Nullable |
| -------------- | ------- | ---------------------------------------------------------------------------------------------------------------- | -------- |
| user\_id       | integer | Founder ID (manager ID).                                                                                         | No       |
| modify\_status | string  | Set task for status: offer active or paused.***(Note: if status's offer is deleted, it is unable to set task)*** | No       |
| execute\_time  | string  | execution time. ***Time format: yyyy-MM-dd HH:00:00 (punctual time)***                                           | No       |

## Response body parameters <a href="#response-body-parameters-0" id="response-body-parameters-0"></a>

| Field            | Type    | Description                                     |
| ---------------- | ------- | ----------------------------------------------- |
| id               | integer |                                                 |
| offer\_id        | integer | A string that uniquely identifies this offer.   |
| user\_id         | integer | Founder ID (manager ID).                        |
| modify\_status   | string  | Set status for task: active or paused           |
| execute\_time    | string  | Execution time.                                 |
| create\_time     | string  | Creation time.                                  |
| update\_time     | string  | update time.                                    |
| complete\_status | integer | Complete status： 0: uncompleted ;  1: completed |

## Example request <a href="#example-request-0" id="example-request-0"></a>

**Request PUT** <https://{networkname}.api.offerslook.com/v1/offers/3147,4321/tasks>

**Request PUT** <http://{networkname}.api.offerslook.com/v1/offers/3147,4321/tasks>

```
    {
      "user_id": 1,
      "execute_time": "2017-06-12 10:00:00",
      "modify_status": "active"
    }
```

## Example response <a href="#example-response-0" id="example-response-0"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "offer_task": [
          {
            "id": 169,
            "offer_id": 3147,
            "user_id": 1,
            "complete_status": 0,
            "create_time": "2016-11-29 10:39:07",
            "update_time": null,
            "execute_time": "2017-06-12 10:00:00",
            "modify_status": "active"
          },
          {
            "id": 170,
            "offer_id": 4321,
            "user_id": 1,
            "complete_status": 0,
            "create_time": "2016-11-29 10:39:07",
            "update_time": null,
            "execute_time": "2017-06-12 10:00:00",
            "modify_status": "active"
          }
        ]
      }
    }
```
